Subject: Re: [PATCH 3/3] net: core: add IFLA_STATS64 support

From: Stephen Hemminger <[email-masked]>
Date: Thu, 11 Mar 2010 12:12:39 -0800

On Thu, 11 Mar 2010 20:57:29 +0100
Jan Engelhardt <[email-masked]> wrote:

> `ip -s link` shows interface counters truncated to 32 bit. This is
> because interface statistics are transported only in 32-bit quantity
> to userspace. This commit adds a new IFLA_STATS64 attribute that
> exports them in full 64 bit.
> 
> References: http://lkml.indiana.edu/hypermail/linux/kernel/0307.3/0215.html
> Signed-off-by: Jan Engelhardt <[email-masked]>
> 

What is the point since net_device_stats has only 32 bit counters.
The last time this came up the issue was is that is not possible
to atomically increment a 64 bit counter on most 32 bit platforms.